Bug 255931 - www/grafana7: update to 7.5.5
Summary: www/grafana7: update to 7.5.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Robson Mantovani
URL: https://grafana.com/docs/grafana/late...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-16 19:02 UTC by Ronald Klop
Modified: 2021-05-18 09:25 UTC (History)
3 users (show)

See Also:
robsonmantovani: maintainer-feedback+


Attachments
git diff in the ports/www/grafana7 dir (35.25 KB, patch)
2021-05-16 19:02 UTC, Ronald Klop
ronald-lists: maintainer-approval?
Details | Diff
grafana7.diff (38.59 KB, patch)
2021-05-17 09:14 UTC, Boris Korzun
no flags Details | Diff
grafana7.diff (39.31 KB, patch)
2021-05-17 10:57 UTC, Boris Korzun
no flags Details | Diff
grafana7.diff (39.31 KB, patch)
2021-05-18 08:13 UTC, Boris Korzun
eduardo: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ronald Klop 2021-05-16 19:02:45 UTC
Created attachment 225002 [details]
git diff in the ports/www/grafana7 dir

- Trivial version bump
- Added GRAFANA_BUILDHASH to pkg-plist to minimize future diffs
- Some minor changes to pkg-plist
Comment 1 Boris Korzun 2021-05-17 09:14:10 UTC
Created attachment 225016 [details]
grafana7.diff

Update to 7.5.6 ( https://grafana.com/docs/grafana/latest/release-notes/release-notes-7-5-6/ )

Updated (from Ronald Klop) go.mod deps and sample config.
Comment 2 Boris Korzun 2021-05-17 10:57:11 UTC
Created attachment 225022 [details]
grafana7.diff

Also fix for bug #255196
Comment 3 Nuno Teixeira freebsd_committer 2021-05-18 02:58:31 UTC
Hello Robson,

Could you aprove what diff should I apply?
Comment 4 Robson Mantovani 2021-05-18 03:05:19 UTC
Comment on attachment 225022 [details]
grafana7.diff

I can't test right now but It's looks good.
Comment 5 Nuno Teixeira freebsd_committer 2021-05-18 03:29:32 UTC
(In reply to Robson Mantovani from comment #4)
Ok. I will do poudriere testport tests and if everything is ok I will committed.

You can click "grafana7.diff" patch details and put there your maintainer approval there.
Comment 6 Nuno Teixeira freebsd_committer 2021-05-18 03:51:28 UTC
(In reply to Robson Mantovani from comment #4)
1. There is more correct to use DISTVERSION instead of PORTVERSION in this port:

2. Makefile needs a better organization.

`portclippy Makefile`:

# PORTNAME block
PORTNAME
PORTVERSION
DISTVERSIONPREFIX
CATEGORIES
MASTER_SITES
PKGNAMESUFFIX
DISTFILES

# Maintainer block
MAINTAINER
COMMENT

# License block
LICENSE
LICENSE_FILE

# BROKEN/IGNORE/DEPRECATED messages
ONLY_FOR_ARCHS

# Dependencies
RUN_DEPENDS

# USES block
USES
USE_GITHUB
GH_TUPLE
USE_RC_SUBR

-TAG

# USES=go related variables
GO_TARGET
GO_BUILDFLAGS

# Standard bsd.port.mk variables
SUB_FILES
SUB_LIST

-GRAFANA_USER
-GRAFANA_GROUP

# Users and groups block
USERS
GROUPS

# Packaging list block
PLIST_SUB

# Unknown variables
# WARNING:
# Portclippy did not recognize the following variables.
# They could be local variables only, misspellings of
# framework variables, or Portclippy needs to be made aware
# of them.  Please double check them.
#
# Prefix them with an _ to tell Portclippy to ignore them.
# This is also an important signal for other contributors
# who are working on your port.  It removes any doubt of
# whether they are framework variables or not and whether
# they are safe to remove/rename or not.
GRAFANA_DATADIR
+GRAFANA_GROUP
GRAFANA_HOMEDIR
GRAFANA_LOGDIR
GRAFANA_PLUGINDIR
GRAFANA_PROVISIONINGDIR
+GRAFANA_USER
+TAG
Comment 7 Boris Korzun 2021-05-18 08:13:44 UTC
Created attachment 225056 [details]
grafana7.diff

(In reply to Nuno Teixeira from comment #6)

1. Replaced PORTVERSION by DISTVERSION.

2. portclippy has been applied to the Makefile at ports r569497
TAG and _USER/GROUP fields have been left at their places for better interpretation (TAG before GO_BUILDFLAGS, _USER/GROUP before USER/GROUP).
Comment 8 commit-hook freebsd_committer 2021-05-18 09:01:45 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e22d7faefd10ff72a934acdf230bd310d1be0260

commit e22d7faefd10ff72a934acdf230bd310d1be0260
Author:     Ronald Klop <ronald-lists@klop.ws>
AuthorDate: 2021-05-18 08:56:06 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-05-18 08:56:06 +0000

    www/grafana7: update to 7.5.6

    - Use DISTVERSION instead of PORTVERSION

    ChangeLog: https://grafana.com/docs/grafana/latest/release-notes/release-notes-7-5-6/

    PR:             255931
    Approved by:    dbaio, garga (mentors, implicit)

 www/grafana7/Makefile              |  10 +-
 www/grafana7/distinfo              |  30 +--
 www/grafana7/files/grafana.conf.in |  13 +-
 www/grafana7/pkg-plist             | 438 ++++++++++++++++++-------------------
 4 files changed, 248 insertions(+), 243 deletions(-)
Comment 9 Nuno Teixeira freebsd_committer 2021-05-18 09:05:59 UTC
Commited thanks!
Comment 10 Ronald Klop 2021-05-18 09:23:55 UTC
Thanks for all the effort put into this update.
Comment 11 Nuno Teixeira freebsd_committer 2021-05-18 09:25:26 UTC
(In reply to Ronald Klop from comment #10)
Cheers! :-)